Index: branches/src/ProcessManagement/ProcessManagement/Forms/SubForms/FrmVehicleSelector.Designer.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/SubForms/FrmVehicleSelector.Designer.cs	(nonexistent)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/SubForms/FrmVehicleSelector.Designer.cs	(revision 51)
@@ -0,0 +1,169 @@
+﻿namespace ProcessManagement.Forms.SubForms
+{
+    partial class FrmVehicleSelector
+    {
+        /// <summary>
+        /// Required designer variable.
+        /// </summary>
+        private System.ComponentModel.IContainer components = null;
+
+        /// <summary>
+        /// Clean up any resources being used.
+        /// </summary>
+        /// <param name="disposing">true if managed resources should be disposed; otherwise, false.</param>
+        protected override void Dispose(bool disposing)
+        {
+            if (disposing && (components != null))
+            {
+                components.Dispose();
+            }
+            base.Dispose(disposing);
+        }
+
+        #region Windows Form Designer generated code
+
+        /// <summary>
+        /// Required method for Designer support - do not modify
+        /// the contents of this method with the code editor.
+        /// </summary>
+        private void InitializeComponent()
+        {
+            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle1 = new System.Windows.Forms.DataGridViewCellStyle();
+            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle2 = new System.Windows.Forms.DataGridViewCellStyle();
+            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle3 = new System.Windows.Forms.DataGridViewCellStyle();
+            this.btnEnd = new System.Windows.Forms.Button();
+            this.btnSelect = new System.Windows.Forms.Button();
+            this.dgvMaster = new System.Windows.Forms.DataGridView();
+            this.Column1 = new System.Windows.Forms.DataGridViewTextBoxColumn();
+            this.Column2 = new System.Windows.Forms.DataGridViewTextBoxColumn();
+            this.Column3 = new System.Windows.Forms.DataGridViewTextBoxColumn();
+            ((System.ComponentModel.ISupportInitialize)(this.dgvMaster)).BeginInit();
+            this.SuspendLayout();
+            // 
+            // btnEnd
+            // 
+            this.btnEnd.BackColor = System.Drawing.Color.Blue;
+            this.btnEnd.Font = new System.Drawing.Font("ＭＳ 明朝", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
+            this.btnEnd.ForeColor = System.Drawing.Color.White;
+            this.btnEnd.Location = new System.Drawing.Point(407, 238);
+            this.btnEnd.Name = "btnEnd";
+            this.btnEnd.Size = new System.Drawing.Size(120, 30);
+            this.btnEnd.TabIndex = 3;
+            this.btnEnd.Text = "終　了";
+            this.btnEnd.UseVisualStyleBackColor = false;
+            this.btnEnd.Click += new System.EventHandler(this.btnEnd_Click);
+            // 
+            // btnSelect
+            // 
+            this.btnSelect.BackColor = System.Drawing.Color.Green;
+            this.btnSelect.Font = new System.Drawing.Font("ＭＳ 明朝", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
+            this.btnSelect.ForeColor = System.Drawing.Color.White;
+            this.btnSelect.Location = new System.Drawing.Point(279, 238);
+            this.btnSelect.Name = "btnSelect";
+            this.btnSelect.Size = new System.Drawing.Size(120, 30);
+            this.btnSelect.TabIndex = 2;
+            this.btnSelect.Text = "選　択";
+            this.btnSelect.UseVisualStyleBackColor = false;
+            this.btnSelect.Click += new System.EventHandler(this.btnSelect_Click);
+            // 
+            // dgvMaster
+            // 
+            this.dgvMaster.AllowUserToAddRows = false;
+            this.dgvMaster.AllowUserToDeleteRows = false;
+            this.dgvMaster.AllowUserToResizeColumns = false;
+            this.dgvMaster.AllowUserToResizeRows = false;
+            this.dgvMaster.BorderStyle = System.Windows.Forms.BorderStyle.Fixed3D;
+            dataGridViewCellStyle1.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleCenter;
+            dataGridViewCellStyle1.BackColor = System.Drawing.SystemColors.Control;
+            dataGridViewCellStyle1.Font = new System.Drawing.Font("ＭＳ 明朝", 12F, System.Drawing.FontStyle.Bold);
+            dataGridViewCellStyle1.ForeColor = System.Drawing.SystemColors.WindowText;
+            dataGridViewCellStyle1.SelectionBackColor = System.Drawing.SystemColors.Highlight;
+            dataGridViewCellStyle1.SelectionForeColor = System.Drawing.SystemColors.HighlightText;
+            dataGridViewCellStyle1.WrapMode = System.Windows.Forms.DataGridViewTriState.True;
+            this.dgvMaster.ColumnHeadersDefaultCellStyle = dataGridViewCellStyle1;
+            this.dgvMaster.ColumnHeadersHeight = 24;
+            this.dgvMaster.ColumnHeadersHeightSizeMode = System.Windows.Forms.DataGridViewColumnHeadersHeightSizeMode.DisableResizing;
+            this.dgvMaster.Columns.AddRange(new System.Windows.Forms.DataGridViewColumn[] {
+            this.Column1,
+            this.Column2,
+            this.Column3});
+            this.dgvMaster.Location = new System.Drawing.Point(7, 8);
+            this.dgvMaster.Name = "dgvMaster";
+            this.dgvMaster.RowHeadersVisible = false;
+            this.dgvMaster.RowHeadersWidth = 20;
+            this.dgvMaster.RowHeadersWidthSizeMode = System.Windows.Forms.DataGridViewRowHeadersWidthSizeMode.DisableResizing;
+            this.dgvMaster.RowTemplate.Height = 20;
+            this.dgvMaster.SelectionMode = System.Windows.Forms.DataGridViewSelectionMode.CellSelect;
+            this.dgvMaster.Size = new System.Drawing.Size(520, 226);
+            this.dgvMaster.TabIndex = 0;
+            this.dgvMaster.CellDoubleClick += new System.Windows.Forms.DataGridViewCellEventHandler(this.dgvMaster_CellDoubleClick);
+            // 
+            // Column1
+            // 
+            dataGridViewCellStyle2.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleRight;
+            dataGridViewCellStyle2.Font = new System.Drawing.Font("Century", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
+            this.Column1.DefaultCellStyle = dataGridViewCellStyle2;
+            this.Column1.Frozen = true;
+            this.Column1.HeaderText = "№";
+            this.Column1.Name = "Column1";
+            this.Column1.ReadOnly = true;
+            this.Column1.Resizable = System.Windows.Forms.DataGridViewTriState.False;
+            this.Column1.SortMode = System.Windows.Forms.DataGridViewColumnSortMode.NotSortable;
+            this.Column1.Width = 60;
+            // 
+            // Column2
+            // 
+            this.Column2.Frozen = true;
+            this.Column2.HeaderText = "車両コード";
+            this.Column2.Name = "Column2";
+            this.Column2.ReadOnly = true;
+            this.Column2.Visible = false;
+            this.Column2.Width = 5;
+            // 
+            // Column3
+            // 
+            dataGridViewCellStyle3.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleLeft;
+            dataGridViewCellStyle3.Font = new System.Drawing.Font("ＭＳ 明朝", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
+            this.Column3.DefaultCellStyle = dataGridViewCellStyle3;
+            this.Column3.Frozen = true;
+            this.Column3.HeaderText = "名　  称";
+            this.Column3.Name = "Column3";
+            this.Column3.ReadOnly = true;
+            this.Column3.Resizable = System.Windows.Forms.DataGridViewTriState.False;
+            this.Column3.SortMode = System.Windows.Forms.DataGridViewColumnSortMode.NotSortable;
+            this.Column3.Width = 440;
+            // 
+            // FrmVehicleSelector
+            // 
+            this.AutoScaleDimensions = new System.Drawing.SizeF(96F, 96F);
+            this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Dpi;
+            this.BackColor = System.Drawing.Color.Black;
+            this.ClientSize = new System.Drawing.Size(534, 271);
+            this.Controls.Add(this.dgvMaster);
+            this.Controls.Add(this.btnSelect);
+            this.Controls.Add(this.btnEnd);
+            this.Font = new System.Drawing.Font("ＭＳ 明朝", 12F, System.Drawing.FontStyle.Bold);
+            this.FormBorderStyle = System.Windows.Forms.FormBorderStyle.FixedDialog;
+            this.KeyPreview = true;
+            this.MaximizeBox = false;
+            this.MinimizeBox = false;
+            this.Name = "FrmVehicleSelector";
+            this.ShowIcon = false;
+            this.StartPosition = System.Windows.Forms.FormStartPosition.CenterScreen;
+            this.Text = "車　両　選　択";
+            this.Load += new System.EventHandler(this.FrmVehicleSelector_Load);
+            ((System.ComponentModel.ISupportInitialize)(this.dgvMaster)).EndInit();
+            this.ResumeLayout(false);
+
+        }
+
+        #endregion
+
+        private System.Windows.Forms.Button btnEnd;
+        private System.Windows.Forms.Button btnSelect;
+        private System.Windows.Forms.DataGridView dgvMaster;
+        private System.Windows.Forms.DataGridViewTextBoxColumn Column1;
+        private System.Windows.Forms.DataGridViewTextBoxColumn Column2;
+        private System.Windows.Forms.DataGridViewTextBoxColumn Column3;
+    }
+}
\ No newline at end of file
Index: branches/src/ProcessManagement/ProcessManagement/Forms/SubForms/FrmVehicleSelector.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/SubForms/FrmVehicleSelector.cs	(nonexistent)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/SubForms/FrmVehicleSelector.cs	(revision 51)
@@ -0,0 +1,192 @@
+﻿using System;
+using System.Collections.Generic;
+using System.ComponentModel;
+using System.Data;
+using System.Drawing;
+using System.Linq;
+using System.Text;
+using System.Windows.Forms;
+
+using ProcessManagement.Common;
+using ProcessManagement.DB.IOAccess;
+using ProcessManagement.DataModel;
+using ProcessManagement.Forms.CustomControls;
+using ProcessManagement.Forms.ControlsAction;
+
+namespace ProcessManagement.Forms.SubForms
+{
+    public partial class FrmVehicleSelector : Form
+    {
+        #region ログ使用定義
+        //log4netログを使用する
+        private static readonly log4net.ILog logger = log4net.LogManager.GetLogger(System.Reflection.MethodBase.GetCurrentMethod().DeclaringType);
+        #endregion
+
+        #region 定数
+        /// <summary>
+        /// 表示カラム
+        /// </summary>
+        private enum GridCol
+        {
+            No = 0,
+            VehicleCode,
+            VehicleString,
+        }
+        #endregion
+
+        #region 変数
+        
+        /// <summary>
+        /// 車両番号
+        /// </summary>
+        private int m_VehicleCode = 0;
+        
+        /// <summary>
+        /// 終了状態フラグ
+        /// </summary>
+        private DialogResult m_EndButton = DialogResult.Cancel;
+
+        #endregion
+
+        #region プロパティ
+        /// <summary>
+        /// 車両キー取得
+        /// </summary>
+        public int VehicleCode
+        {
+            get { return m_VehicleCode; }
+        }
+
+        /// <summary>
+        /// 終了ボタン状態
+        /// </summary>
+        public DialogResult EndButton
+        {
+            get { return m_EndButton; }
+        }
+
+        #endregion
+
+        #region コンストラクタ
+        /// <summary>
+        /// フォーム初期化
+        /// </summary>
+        public FrmVehicleSelector()
+        {
+            InitializeComponent();
+        }
+        #endregion
+
+        #region フォームロード
+        /// <summary>
+        /// フォームロード
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void FrmVehicleSelector_Load(object sender, EventArgs e)
+        {
+            // 初期表示
+            InitDataLoad();
+            // フォームサイズ固定
+            this.MaximizedBounds = new Rectangle(this.Left, this.Top, this.Width, this.Height);
+        }
+        #endregion
+
+        #region 終了ボタン押下
+        /// <summary>
+        /// 終了ボタン押下
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void btnEnd_Click(object sender, EventArgs e)
+        {
+            m_EndButton = DialogResult.Cancel;
+            Close();
+        }
+        #endregion
+
+        #region 選択ボタン押下
+        /// <summary>
+        /// 選択ボタン押下
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void btnSelect_Click(object sender, EventArgs e)
+        {
+            DataGridView dgv = dgvMaster;
+            DataGridViewRow CurRow = dgv.CurrentRow;
+
+            if (CurRow.Index < 0)
+            {
+                MessageBox.Show("車両が選択されていません。", "車両選択", MessageBoxButtons.OK, MessageBoxIcon.Error);
+                return;
+            }
+            m_VehicleCode = CommonMotions.cnvInt(CurRow.Cells[(int)GridCol.VehicleCode].Value);
+            if (m_VehicleCode == 0) return;
+
+            m_EndButton = DialogResult.OK;
+            this.Close();
+        }
+        #endregion
+
+        #region セルのダブルクリック時
+        /// <summary>
+        /// セルのダブルクリック時
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void dgvMaster_CellDoubleClick(object sender, DataGridViewCellEventArgs e)
+        {
+            DataGridView dgv = dgvMaster;
+            DataGridViewRow CurRow = dgv.CurrentRow;
+
+            // 選択無しは処理しない
+            if (e.RowIndex < 0) return;
+
+            m_VehicleCode = CommonMotions.cnvInt(CurRow.Cells[(int)GridCol.VehicleCode].Value);
+            if (m_VehicleCode == 0) return;
+
+            m_EndButton = DialogResult.OK;
+            this.Close();
+        }
+        #endregion
+
+        #region 初期表示処理
+        /// <summary>
+        /// 初期表示処理
+        /// </summary>
+        private void InitDataLoad()
+        {
+            IOMVehicle vcDB = new IOMVehicle();
+            try
+            {
+                dgvMaster.Rows.Clear();
+
+                string strSQL = " WHERE VEHICLESCHEDULEFLG = 0 ORDER BY DISPLAYORDER";
+                List<VehicleMaster> vcList = new List<VehicleMaster>();
+                if (!vcDB.SelectAction(strSQL, ref vcList)) return;
+
+                int no = 1;
+                foreach (VehicleMaster vcRec in vcList)
+                {
+                    dgvMaster.Rows.Add(no++,
+                                        vcRec.VehicleCode,
+                                        vcRec.VehicleName);
+                }
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+            finally
+            {
+                if (dgvMaster.RowCount < 10)
+                {
+                    dgvMaster.RowCount = 10;
+                }
+                vcDB.close(); vcDB = null;
+            }
+        }
+        #endregion
+    }
+}
Index: branches/src/ProcessManagement/ProcessManagement/Forms/SubForms/Material/FrmMaterialHistory.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/SubForms/Material/FrmMaterialHistory.cs	(nonexistent)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/SubForms/Material/FrmMaterialHistory.cs	(revision 51)
@@ -0,0 +1,486 @@
+using System;
+using System.Collections.Generic;
+using System.Collections;
+using System.ComponentModel;
+using System.Data;
+using System.Drawing;
+using System.Text;
+using System.Windows.Forms;
+
+using log4net;
+using log4net.Appender;
+using log4net.Repository.Hierarchy;
+
+using ProcessManagement.Common;
+using ProcessManagement.DB.IOAccess;
+using ProcessManagement.DataModel;
+using ProcessManagement.DB.Core;
+using ProcessManagement.Forms.DataEntry;
+using ProcessManagement.Forms.Master;
+using ProcessManagement.Forms.CustomControls;
+using ProcessManagement.Forms.ControlsAction;
+//*------------------------ 単位マスタメンテ画面 ----------------------*
+//  2015/07/14  Ver1.0.0.0      Create Source           
+//
+//
+//
+//*----------------------------------------------------------------------------*
+namespace ProcessManagement.Forms.SubForms
+{
+    public partial class FrmMaterialHistory : Form
+    {
+        #region 使用定義
+        //log4netログを使用する
+        private static readonly log4net.ILog logger = log4net.LogManager.GetLogger(System.Reflection.MethodBase.GetCurrentMethod().DeclaringType);
+        #endregion
+
+        #region 定数
+        /// <summary>
+        /// 表示カラム
+        /// </summary>
+        private enum DispColumn
+        {
+            DisplayOrder = 0,
+            PROCESSDATE,
+            PERSONNAME,
+            RECKIND,
+            DETAILSTRING,
+            MATERIALCOUNT,
+            REPAYPLANDATE,
+            COMMENTTEXT,
+        }
+
+        /// <summary>
+        /// データカラム
+        /// </summary>
+        private enum DataColumn
+        {
+            PROCESSDATE = 0,
+            PERSONNAME,
+            RECKIND,
+            DETAILSTRING,
+            MATERIALCOUNT,
+            REPAYPLANDATE,
+            COMMENTTEXT,
+        }
+
+        #endregion
+
+        #region 変数
+
+        /// <summary>
+        /// 資材種類
+        /// </summary>
+        public String m_MaterialType = "";
+
+        /// <summary>
+        /// 資材品目コード
+        /// </summary>
+        public int m_MaterialItemCode = 0;
+
+        /// <summary>
+        /// 資材品目
+        /// </summary>
+        public String m_MaterialItem = "";
+
+        /// <summary>
+        /// 資材数（変更前）
+        /// </summary>
+        public String m_MaterialCount = "";
+
+        /// <summary>
+        /// 割当可能数（変更前）
+        /// </summary>
+        public String m_MaterialAssignableCount = "";
+
+        /// <summary>
+        /// データ操作
+        /// </summary>
+        private IOMaterialInfo m_IoM = null;
+
+
+        /// <summary>
+        /// 初期時グリッドカウント
+        /// </summary>
+        private int m_initDataCount = 0;
+        /// ダイアログ使用フラグ
+        /// </summary>
+        private bool m_DialogFlg = false;
+        #endregion
+
+        #region コンストラクタ
+        public FrmMaterialHistory()
+        {
+            InitializeComponent();
+        }
+        #endregion
+        #region デストラクタ
+        ~FrmMaterialHistory()
+        {
+            try
+            {
+                GC.Collect();
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
+
+        #region プロパティ
+
+        /// <summary>
+        /// 資材種類
+        /// </summary>
+        public string MaterialType
+        {
+            get { return m_MaterialType; }
+            set { m_MaterialType = value; }
+        }
+
+        /// <summary>
+        /// 資材品目コード
+        /// </summary>
+        public int MaterialItemCode
+        {
+            get { return m_MaterialItemCode; }
+            set { m_MaterialItemCode = value; }
+        }
+
+        /// <summary>
+        /// 資材品目
+        /// </summary>
+        public string MaterialItem
+        {
+            get { return m_MaterialItem; }
+            set { m_MaterialItem = value; }
+        }
+
+        /// <summary>
+        /// 資材数（変更前）
+        /// </summary>
+        public string MaterialCount
+        {
+            get { return m_MaterialCount; }
+            set { m_MaterialCount = value; }
+        }
+        /// <summary>
+        /// 割当可能数（変更前）
+        /// </summary>
+        public string MaterialAssignableCount
+        {
+            get { return m_MaterialAssignableCount; }
+            set { m_MaterialAssignableCount = value; }
+        }
+
+        #endregion
+
+
+        #region イベントメソッド
+        /// <summary>
+        /// ×ボタン押下処理
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void FrmMaterialHistory_FormClosing(object sender, FormClosingEventArgs e)
+        {
+            // ロック解除用
+            if (e.Cancel != true && m_IoM != null)
+            {
+                m_IoM.rollback();
+                m_IoM.close();
+                m_IoM = null;
+            }
+
+            // 前プロセスに戻る
+            ClsExcute.BackProcess();
+        }
+        /// <summary>
+        /// 終了ボタン押下
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void btnEnd_Click(object sender, EventArgs e)
+        {
+            this.Close();
+        }
+
+        /// <summary>
+        /// フォームロード
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void FrmMaterialHistory_Load(object sender, EventArgs e)
+        {
+            // 初期表示
+            InitDataLoad();
+            
+
+            // フォームサイズ固定
+            this.MaximizedBounds = new Rectangle(this.Left, this.Top, this.Width, this.Height);
+
+        }
+
+        /// <summary>
+        /// 行データクリア
+        /// </summary>
+        /// <param name="iIndex">行カウント</param>
+        private void SetRowClearData(int iIndex)
+        {
+            // クリアデータセット
+        }
+
+        /// <summary>
+        /// グリッド採番処理
+        /// </summary>
+        private void LineReNumbering()
+        {
+            int icnt = 1;
+            foreach (DataGridViewRow r in dgvMaster.Rows)
+            {
+                // 表示されているものだけ採番
+                if (r.Visible)
+                    r.Cells[(int)DispColumn.DisplayOrder].Value = (icnt++).ToString();
+                else
+                    r.Cells[(int)DispColumn.DisplayOrder].Value = "0";
+            }
+        }
+        
+
+        #endregion
+
+        #region プライベートメソッド
+        /// <summary>
+        /// 初期表示処理
+        /// </summary>
+        private void InitDataLoad()
+        {
+            // ロック実行
+            try
+            {
+                m_IoM = new IOMaterialInfo();
+                m_IoM.connect();
+                m_IoM.SetLockWaitime(1);
+                m_IoM.beginTran();
+                // 共有ロック
+                if (!m_IoM.RowLockShare(m_MaterialItemCode, false))
+                {
+                    return;
+                }
+
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                this.Close();
+            }
+
+
+            try
+            {
+
+                // 資材種類
+                lblMaterialKind.Text = m_MaterialType;
+
+                // 資材品目
+                lblMaterialItem.Text = m_MaterialItem;
+
+                // 資材数
+                lblMaterialCount.Text = m_MaterialCount;
+
+                // 割当可能数
+                lblRentCount.Text = m_MaterialAssignableCount;
+
+                DispGridData();
+                // ダイアログ使用時
+                if (m_DialogFlg)
+                {
+                    //フォームの幅だけを変更する
+                    this.SetBounds(this.Left, this.Top, (this.Width - 40), this.Height, BoundsSpecified.Width);
+                }
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        /// <summary>
+        /// 資材一覧表示
+        /// </summary>
+        /// <returns></returns>
+        private bool DispGridData()
+        {
+            List<UnitMaster> cm = new List<UnitMaster>();
+            ArrayList arData = new ArrayList();
+
+            try
+            {
+                // グリッドの行を0に戻す
+                dgvMaster.Rows.Clear();
+
+                // 抽出
+                StringBuilder sql = new StringBuilder();
+                sql.AppendLine("select   DATE_FORMAT(Mri.PROCESSDATE, '%Y/%m/%d') as PROCESSDATE ");
+                sql.AppendLine("		,ifnull(P.PERSONNAME,'') as PERSONNAME ");
+                sql.AppendLine("        ,case Mri.RECKIND ");
+                sql.AppendLine("			when 0 then '貸出' ");
+                sql.AppendLine("			when 1 then '返却' ");
+                sql.AppendLine("			when 2 then '追加' ");
+                sql.AppendLine("			when 3 then '破棄' ");
+                sql.AppendLine("		 end as RECKIND ");
+                sql.AppendLine("        ,ifnull(Cbid.DETAILSTRING,'') as DETAILSTRING ");
+                sql.AppendLine("        ,Mri.MATERIALCOUNT ");
+                sql.AppendLine("        ,case Mri.RECKIND when 0 then ifnull(DATE_FORMAT(Mri.REPAYPLANDATE, '%Y/%m/%d'),'') else '' end as REPAYPLANDATE ");
+                sql.AppendLine("        ,ifnull(Mri.COMMENTTEXT,'') as COMMENTTEXT ");
+                sql.AppendLine("from MaterialRecordInfo as Mri 	left join MaterialInfo as Mi on Mri.MATERIALITEMCODE = Mi.MATERIALITEMCODE  ");
+                sql.AppendLine("								left join personinchargemaster as P on Mri.PERSONCODE = P.PERSONCODE ");
+                sql.AppendLine("                                left join ConstructionBaseInfoDetail as Cbid on Mri.CONSTRUCTIONCODE = Cbid.CONSTRUCTIONCODE and Cbid.DETAILNO = 2 ");
+                sql.AppendFormat("where Mri.MaterialItemCode = {0} ",MaterialItemCode);
+                sql.AppendLine("order by Mri.PROCESSDATE desc,Mri.SEQNO desc ");
+                sql.AppendLine("limit 20");
+
+                if (!m_IoM.ExecuteReader(sql.ToString(), ref arData, false)) return false;
+                // データ表示
+                int icnt = 0;
+                foreach (object[] work in arData)
+                {
+                    dgvMaster.Rows.Add();
+
+                    dgvMaster.Rows[icnt].Cells[(int)DispColumn.PROCESSDATE].Value = CommonMotions.cnvString(work[(int)DataColumn.PROCESSDATE]);
+                    dgvMaster.Rows[icnt].Cells[(int)DispColumn.PERSONNAME].Value = CommonMotions.cnvString(work[(int)DataColumn.PERSONNAME]);
+                    dgvMaster.Rows[icnt].Cells[(int)DispColumn.RECKIND].Value = CommonMotions.cnvString(work[(int)DataColumn.RECKIND]);
+                    dgvMaster.Rows[icnt].Cells[(int)DispColumn.DETAILSTRING].Value = CommonMotions.cnvString(work[(int)DataColumn.DETAILSTRING]);
+                    dgvMaster.Rows[icnt].Cells[(int)DispColumn.MATERIALCOUNT].Value = CommonMotions.cnvInt(work[(int)DataColumn.MATERIALCOUNT]);
+                    dgvMaster.Rows[icnt].Cells[(int)DispColumn.REPAYPLANDATE].Value = CommonMotions.cnvString(work[(int)DataColumn.REPAYPLANDATE]);
+                    dgvMaster.Rows[icnt].Cells[(int)DispColumn.COMMENTTEXT].Value = CommonMotions.cnvString(work[(int)DataColumn.COMMENTTEXT]);
+
+                    icnt++;
+                }
+
+                // 読込時データカウント取得
+                m_initDataCount = arData.Count;
+
+                if(m_initDataCount==0)
+                {
+                    return true;
+                }
+
+                // 自動的に選択されている行を外す
+                dgvMaster.Rows[0].Selected = false;
+
+                // №再採番
+                LineReNumbering();
+
+                // クリアデータセット
+                SetRowClearData(dgvMaster.Rows.Count - 1);
+
+           }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+            return true;
+        }
+
+        /// <summary>
+        /// グリッド最終行での処理
+        /// </summary>
+        private void GridLastLine()
+        {
+            // 最終行判定
+            if (dgvMaster.CurrentCell.RowIndex == dgvMaster.Rows.Count - 1)
+            {
+                // 最終列判定
+                if (dgvMaster.CurrentCell.ColumnIndex == (int)DispColumn.COMMENTTEXT)
+                {
+                    // 1行追加
+                    dgvMaster.Rows.Add();
+                    // クリアデータセット
+                    SetRowClearData(dgvMaster.Rows.Count - 1);
+                    // №再採番
+                    LineReNumbering();
+                }
+
+            }
+        }
+        /// <summary>
+        /// 資材数が0の資材も表示するボタン押下による表示制御処理
+        /// </summary>
+        private void radioButton1_CheckedChanged(object sender, EventArgs e)
+        {
+
+        }
+        /// <summary>
+        /// 資材数変更ボタン押下
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void btnDataEntry_Click(object sender, EventArgs e)
+        {
+            try
+            {
+                // ----- 起動プロセス設定
+
+                //　遷移先の取得処理
+                int NowPoint = 0;
+                NowPoint = ClsExcute.NextProcess((int)ClsExcute.ProcessExecuteNo.MaterialCountEntry);
+
+                //　遷移先への連携値
+                // パラメータセット
+                ClsExcute.ProcControlPara[NowPoint].StringExecParameter.Add(CommonMotions.cnvString(dgvMaster.CurrentRow.Cells[1].Value));
+                ClsExcute.ProcControlPara[NowPoint].StringExecParameter.Add(CommonMotions.cnvString(dgvMaster.CurrentRow.Cells[2].Value));
+                ClsExcute.ProcControlPara[NowPoint].StringExecParameter.Add(CommonMotions.cnvString(dgvMaster.CurrentRow.Cells[3].Value));
+                ClsExcute.ProcControlPara[NowPoint].StringExecParameter.Add(CommonMotions.cnvString(dgvMaster.CurrentRow.Cells[4].Value));
+
+                // 処理実行
+                // 資材数変更画面に遷移
+                ClsExcute.ProcesscExecute();
+
+                btnEnd_Click(sender, (EventArgs)e);
+            }
+            catch (System.Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        /// <summary>
+        /// 資材履歴ボタン押下時の処理
+        /// </summary>
+        private void button2_Click(object sender, EventArgs e)
+        {
+            // 資材履歴画面を表示
+            try
+            {
+                // ----- 起動プロセス設定
+
+                //　↓遷移先の取得処理
+                int NowPoint = 0;
+                NowPoint = ClsExcute.NextProcess((int)ClsExcute.ProcessExecuteNo.MaterialHistory);
+
+                //　遷移先への連携値
+                // パラメータセット
+                ClsExcute.ProcControlPara[NowPoint].StringExecParameter.Add(CommonMotions.cnvString(dgvMaster.CurrentRow.Cells[1].Value));
+                ClsExcute.ProcControlPara[NowPoint].StringExecParameter.Add(CommonMotions.cnvString(dgvMaster.CurrentRow.Cells[2].Value));
+                ClsExcute.ProcControlPara[NowPoint].StringExecParameter.Add(CommonMotions.cnvString(dgvMaster.CurrentRow.Cells[3].Value));
+                ClsExcute.ProcControlPara[NowPoint].StringExecParameter.Add(CommonMotions.cnvString(dgvMaster.CurrentRow.Cells[4].Value));
+
+                // 処理実行
+                // 資材数変更画面に遷移
+                ClsExcute.ProcesscExecute();
+
+                btnEnd_Click(sender, (EventArgs)e);
+            }
+            catch (System.Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
+
+
+
+    }
+}
\ No newline at end of file
